org.apache.maven.archiver

## Class PomPropertiesUtil

- java.lang.Object
- - org.apache.maven.archiver.PomPropertiesUtil

    public class PomPropertiesUtil
    extends Object

This class is responsible for creating the pom.properties file.

Version:
  $Id: PomPropertiesUtil.java 661727 2008-05-30 14:21:49Z bentmann $

### Constructor Summary

Constructors
Constructor and Description
`PomPropertiesUtil()`

### Method Summary

Methods
`void` `createPomProperties(org.apache.maven.project.MavenProject project, org.codehaus.plexus.archiver.Archiver archiver, File pomPropertiesFile, boolean forceCreation)` Creates the pom.properties file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PomPropertiesUtil

    public PomPropertiesUtil()

### Method Detail

#### createPomProperties

    public void createPomProperties(org.apache.maven.project.MavenProject project,
                           org.codehaus.plexus.archiver.Archiver archiver,
                           File pomPropertiesFile,
                           boolean forceCreation)
                             throws org.codehaus.plexus.archiver.ArchiverException,
                                    IOException

Creates the pom.properties file.

Throws:
  `org.codehaus.plexus.archiver.ArchiverException`
  `IOException`